org.apache.cassandra.db.transform

## Interface MorePartitions<I extends BasePartitionIterator<?>>

-     public interface MorePartitions<I extends BasePartitionIterator<?>>

  An interface for providing new partitions for a partitions iterator. The new contents are produced as a normal arbitrary PartitionIterator or UnfilteredPartitionIterator (as appropriate) The transforming iterator invokes this method when any current source is exhausted, then then inserts the new contents as the new source. If the new source is itself a product of any transformations, the two transforming iterators are merged so that control flow always occurs at the outermost point

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartitionIterator` | `extend(PartitionIterator iterator, MorePartitions<? super PartitionIterator> more)`
    `static UnfilteredPartitionIterator` | `extend(UnfilteredPartitionIterator iterator, MorePartitions<? super UnfilteredPartitionIterator> more)`
    `I` | `moreContents()`

- - ### Method Detail

    - #### extend

          static UnfilteredPartitionIterator extend(UnfilteredPartitionIterator iterator,
                                                    MorePartitions<? super UnfilteredPartitionIterator> more)

    - #### extend

          static PartitionIterator extend(PartitionIterator iterator,
                                          MorePartitions<? super PartitionIterator> more)

    - #### moreContents

          I moreContents()

Copyright © 2018 The Apache Software Foundation